Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.security
Class SecurityAssociation.SubjectContext

    java.lang.Object
      org.jboss.security.SecurityAssociation.SubjectContext

Enclosing class:
  SecurityAssociation

public static class SecurityAssociation.SubjectContext
extends Object

The encapsulation of the authenticated subject

Field Summary
`static int` | `CREDENTIAL_WAS_SET`
`static int` | `PRINCIPAL_WAS_SET`
`static int` | `SUBJECT_WAS_SET`

Constructor Summary
`SecurityAssociation.SubjectContext()`
`SecurityAssociation.SubjectContext(Subject s, Principal p, Object cred)`

Method Summary
`Object` | `getCredential()`
`int` | `getFlags()`
`Principal` | `getPrincipal()`
`Subject` | `getSubject()`
`void` | `setCredential(Object credential)`
`void` | `setPrincipal(Principal principal)`
`void` | `setSubject(Subject subject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUBJECT_WAS_SET

    public static final int SUBJECT_WAS_SET

See Also:
  Constant Field Values

### PRINCIPAL_WAS_SET

    public static final int PRINCIPAL_WAS_SET

See Also:
  Constant Field Values

### CREDENTIAL_WAS_SET

    public static final int CREDENTIAL_WAS_SET

See Also:
  Constant Field Values

Constructor Detail

### SecurityAssociation.SubjectContext

    public SecurityAssociation.SubjectContext()

### SecurityAssociation.SubjectContext

    public SecurityAssociation.SubjectContext(Subject s,
                                              Principal p,
                                              Object cred)

Method Detail

### getSubject

    public Subject getSubject()

### setSubject

    public void setSubject(Subject subject)

### getPrincipal

    public Principal getPrincipal()

### setPrincipal

    public void setPrincipal(Principal principal)

### getCredential

    public Object getCredential()

### setCredential

    public void setCredential(Object credential)

### getFlags

    public int getFlags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.